/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package Texception;

public class _test1Stub extends MQC.ObjImpl implements test1
{
	public byte fun1( byte arg1 ) throws MQC.exception.UNKNOWN, error, error2
	{
		MQC.CDRInputStream _input = null;
		MQC.CDROutputStream _output = null;
		byte _result = 0;
		try
		{
			_output = this._request( "fun1", true);
			_output.write_octet( arg1 );
			_input = this._invoke(_output);
			_result = _input.read_octet();
		}
		catch(MQC.exception.SystemException e)
		{
			System.out.println(e.toString());
		}
		catch(MQC.exception.UserException e)
		{
			java.lang.String exceptionID = e.getID();
			if(exceptionID.equals(errorHelper.id()))
			{
				MQC.CDRInputStream input = e.getInputStream();
				throw errorHelper.read(input);
			}
			if(exceptionID.equals(error2Helper.id()))
			{
				MQC.CDRInputStream input = e.getInputStream();
				throw error2Helper.read(input);
			}
			throw new MQC.exception.UNKNOWN("Unknown user exception: " + exceptionID );
		}
		return _result;
	}
};
// End of file.
