/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc.transports;

import mqc.*;
import mqc.protocols.*;
import mqc.holders.*;

import java.io.*;
import java.util.*;
import java.net.*;

/**
* Serial handler class
* 
* @author Olav Haugan
*
* 14.10.01
*/
public class S_OneWireHandler extends S_TransportHandler implements java.lang.Runnable
{
   public Thread activity = new Thread(this);
   private S_ORB orb;

   /**
   * Constructor. Initializes variables.
   */
   public S_OneWireHandler(S_ORB orb) throws IOException
   {
      this.orb = orb;
      activity.start();
   }

   /**
   * Thread run function. Read in data from socket
   */
   public void run()
   {
      while(true)
      {
      }
   }

   /**
   * Sends a message
   *
   * @param byte[] The buffer to send
   * @param int The number of bytes to transmit
   * @return boolean true if data is sent successfully, false otherwise
   */
   public boolean send(byte[] buffer, int length)
   {
      return true;
   }
}
