/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc.protocols;

/**
 * Class representing a GIOPLite message. 
 * The header consists of (bytes 0-4) size and (byte 5)
 * message type.
 *
 * @author Eivind Naess
 * @author Olav Haugan
 * @author Kim Christian Swenson
 * @version
 */
public interface GIOPLiteMessage extends Marshalable
{
   // MESSAGE TYPES
   public final static byte REQUEST_MSG = 0x00;
   public final static byte REPLY_MSG =   0x01;
}



